Package relaxngcc.grammar

## Class MarkupPattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.MarkupPattern

- Direct Known Subclasses:
    `AttributePattern`, `ElementPattern`

      public abstract class MarkupPattern
      extends Pattern

  Base class of ElementPattern and AttributePattern
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Pattern` | `body` |
    `org.xml.sax.Locator` | `endLocator` |
    `NameClass` | `name` |
    `org.xml.sax.Locator` | `startLocator` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MarkupPattern​(org.xml.sax.Locator sloc, org.xml.sax.Locator eloc, NameClass _name, Pattern _body)` |

  - ### Method Summary

    - ### Methods inherited from class relaxngcc.grammar.Pattern

      `apply`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startLocator

          public final org.xml.sax.Locator startLocator

    - #### endLocator

          public final org.xml.sax.Locator endLocator

    - #### name

          public final NameClass name

    - #### body

          public final Pattern body

  - ### Constructor Detail

    - #### MarkupPattern

          public MarkupPattern​(org.xml.sax.Locator sloc,
                               org.xml.sax.Locator eloc,
                               NameClass _name,
                               Pattern _body)